1. Registration issues have now been resolved. New accounts are able to be created

News: How to get KODI 17 while running KITKAT 4.4!

Discussion in 'Kodi/XBMC for MINIX' started by drgn, Apr 6, 2017.

  1. drgn

    drgn New Member

    See the youtube link at the end of my message.

    If a small company selling cheaper android box can do this for their customers, why MINIX cannot do it?

    I suggest MINIX to upgrade their XBMC for minx to ver 17 so that those using X6 and X8H plus can run Kodi 17 without buying new box.


    To watch the youtube, type this in youtube's searchbox
    "How to get KODI 17 while running KITKAT 4.4!"
  2. midnight

    midnight Moderator Moderator

    http://www.minixforum.com/threads/official-x8-h-plus-011-firmware-20170119.15681/
    post #17
  3. drgn

    drgn New Member

    How about X6?
  4. midnight

    midnight Moderator Moderator

  5. Villa

    Villa Well-Known Member Super Moderator

    No!
    midnight likes this.
  6. drgn

    drgn New Member

    Nice people at Freaktab have come out with a kodi 16 fork with SSL v2 complaint.
    MyGiga has done it too.

    Can minix come out with a similar version to serve your customer?
    Last edited: Apr 7, 2017
  7. dryster

    dryster Active Member

    So, what is the link to the MyGica APK for 16 with SSL and is that the only issue? - because I was under the impression that it was the minimum API that was also an issue with the latest version of Kodi?
  8. drgn

    drgn New Member

    Mygiga version can only work on mygiga boxes - the download link is with the youtube link above

    You may want to try FTMC 16.1 built 25 instead.

    I am not allowed to post link here, but if you google for "FTMC freaktab", you should be able to find it.
  9. dryster

    dryster Active Member

    I would imagine, given time, that a MINIX XBMC, locked to API 19, could be forked to include support for SSL so that users of MINIX boxes with KitKat can extend the useful life with KODI. However, I perceive that the primary development team at KODI who have boasted that "KODI runs on just about anything" are now focused on a much narrower range of acceptable devices and operating systems, so "legacy" support is gone and they should maybe change their tagline on their website to "KODI runs on just about anything that is a year or less old"
  10. Frederick_99

    Frederick_99 Well-Known Member Trusted Helper

    looks very promising.......lots of HD links back again ......good find (y)
    dryster likes this.
  11. ieswideopen

    ieswideopen Member

    I loaded FTMC on a couple of Neo X7's. It works well so far.
  12. dryster

    dryster Active Member

    Yes, I'm running FTMC build 25 on my MINIX NEO X8-H Plus with no issues or requirement for special settings. as @Frederick_99 said, lots of HD links back again and I've found more stability on live links through cCloud than 16.1 which perhaps may be something to do with using the later Python library.

    EDIT : had a few crashes through cCloudTV and unmet dependancies notice.

    I'll continue testing as it's early days and there may be some glitches as some older addons might just want that older python code.

    This raises an interesting question, did the developers at Kodi throw all the KitKat users under the bus when one helpful fix (to a forked Krypton) would be to update the Python library and back off from minimum API requirements so that KitKat would be supported? - I would ask that on the Kodi site, but it appears that they're depending on the community to open-source fix older versions.
    Last edited: Apr 11, 2017
  13. gellimo

    gellimo New Member

    Hello i have the minix neo x8 plus and i tried to install ftmc but it wont install
    Do i have to uninstall my kodi 16.1? Or do i have to do something else?
    Or can you give me af link where i can download the ftmc version i can use.
    Thanks in advaced
  14. Villa

    Villa Well-Known Member Super Moderator

    Do you have "Allow installation of apps from unknown sources" enabled?
  15. gellimo

    gellimo New Member

    Yes i have enabled that
    I read somwhere that ik have to uninstall kodi before installing ftmc is this True
  16. Frederick_99

    Frederick_99 Well-Known Member Trusted Helper

  17. gellimo

    gellimo New Member

    I have this version but still no install
  18. dryster

    dryster Active Member

    I read this on another site : "It does not install with an already installed version of Kodi, if you are happy enough starting from scratch adding your own repos/ addons then this will keep life in your old box" and when I downloaded v25 of the APK and attempted my first install it reported "you already have this" so I uninstalled Kodi 16.1 and then FTMC installed fine.
  19. gellimo

    gellimo New Member

    I will try it out keep you posted
  20. Frederick_99

    Frederick_99 Well-Known Member Trusted Helper

    maybe i stand corrected then... thats not typical for differing forks of kodi